Summary:	NagIRCBot - announce the Nagios status on an IRC channel
Summary(pl.UTF-8):	NagIRCBot - pokazywanie statusu Nagiosa na kanale IRC
Name:		nagircbot
Version:	0.0.33
Release:	2
License:	GPL
Group:		Applications
Source0:	http://www.vanheusden.com/nagircbot/%{name}-%{version}.tgz
# Source0-md5:	8dd1f2077d91ca9273d92a3b207c54b2
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Patch0:		%{name}-nodebug.patch
URL:		http://www.vanheusden.com/nagircbot/
BuildRequires:	libstdc++-devel
BuildRequires:	openssl-devel
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
NagIRCBot announces the Nagios status on an IRC channel.

%description -l pl.UTF-8
NagIRCBot pokazuje status Nagiosa na kanale IRC.

%prep
%setup -q
%patch0 -p0

%build
%{__make} \
	CC="%{__cc}" \
	CXX="%{__cxx}" \
	DEBUG="%{rpmcxxflags}" \
	LDFLAGS="%{rpmldflags} -lstdc++ -lssl -lcrypto"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},/etc/rc.d/init.d,/etc/sysconfig}

cp -a %{name} $RPM_BUILD_ROOT%{_sbindir}/%{name}
cp -a %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
cp -a %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add %{name}
%service %{name} restart "Nagios IRC Bot"

%preun
if [ "$1" = "0" ]; then
	%service %{name} stop
	/sbin/chkconfig --del %{name}
fi

%files
%defattr(644,root,root,755)
%doc readme.txt
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/nagircbot
%attr(755,root,root) %{_sbindir}/nagircbot
%attr(754,root,root) /etc/rc.d/init.d/nagircbot
%changelog
* Sat Sep 15 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/nagircbot.git;a=log;h=master

* Sat Sep 15 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> e30ac96
- release 2 (by relup.sh)

* Wed Feb 09 2011 lisu <lisu@pld-linux.org> 71bd3c3
- up to 0.0.33
- create directories first, then install files

* Wed Dec 01 2010 lisu <lisu@pld-linux.org> db9279e
- up to 0.0.31
- link with -lcrypto

* Mon Apr 12 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> becd5d6
- release 2

* Thu Jul 23 2009 lisu <lisu@pld-linux.org> cd66261
- 0.0.30
- link with libssl (BR: openssl-devel)

* Tue Jun 16 2009 undefine <undefine@pld-linux.org> cf8b7dc
- up to 0.0.29b, add patch to build without debug enabled

* Tue Mar 20 2007 undefine <undefine@pld-linux.org> 8b7f8cd
- release 2 (1 is on AC-branch)

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> bb8fd62
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 03f873a
- converted to UTF-8

* Sun Feb 11 2007 domelu <domelu@pld-linux.org> 7ad9fc5
- added username

* Sun Feb 11 2007 domelu <domelu@pld-linux.org> 702427c
- up to 0.0.20

* Tue Nov 28 2006 Jakub Bogusz <qboosh@pld-linux.org> dfa3360
- unified

* Mon Nov 20 2006 Elan Ruusamäe <glen@pld-linux.org> 2653a07
- nagios does not to be local

* Mon Nov 20 2006 Elan Ruusamäe <glen@pld-linux.org> 22a9ee9
- support remote nagios location

* Mon Nov 20 2006 Elan Ruusamäe <glen@pld-linux.org> dc6dd02
- more readable

* Mon Nov 20 2006 Elan Ruusamäe <glen@pld-linux.org> 7796d84
- should work with any nagios core (nagios, nrpe)
- fix initscript deps
- pass cc,cflags,ldflags
- move daemon to sbindir

* Mon Nov 20 2006 Elan Ruusamäe <glen@pld-linux.org> 1d2414b
- pass $OTHER args

* Mon Nov 20 2006 Elan Ruusamäe <glen@pld-linux.org> 684aeec
- inline args

* Mon Nov 20 2006 Elan Ruusamäe <glen@pld-linux.org> c4837c8
- use functions

* Mon Nov 20 2006 undefine <undefine@pld-linux.org> 6b69744
- escape #

